<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\MainBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;

class AdminController extends AbstractController
{
    #[\Symfony\Component\Routing\Attribute\Route(path: '/{_locale}/admin', name: 'chill_main_admin_central')]
    public function indexAction(): \Symfony\Component\HttpFoundation\Response
    {
        return $this->render('@ChillMain/Admin/index.html.twig');
    }

    #[\Symfony\Component\Routing\Attribute\Route(path: '/{_locale}/admin/language', name: 'chill_main_language_admin')]
    public function indexLanguageAction(): \Symfony\Component\HttpFoundation\Response
    {
        return $this->render('@ChillMain/Admin/indexLanguage.html.twig');
    }

    #[\Symfony\Component\Routing\Attribute\Route(path: '/{_locale}/admin/location', name: 'chill_main_location_admin')]
    public function indexLocationAction(): \Symfony\Component\HttpFoundation\Response
    {
        return $this->render('@ChillMain/Admin/indexLocation.html.twig');
    }

    #[\Symfony\Component\Routing\Attribute\Route(path: '/{_locale}/admin/user', name: 'chill_main_user_admin')]
    public function indexUserAction(): \Symfony\Component\HttpFoundation\Response
    {
        return $this->render('@ChillMain/Admin/indexUser.html.twig');
    }

    #[\Symfony\Component\Routing\Attribute\Route(path: '/{_locale}/admin/dashboard', name: 'chill_main_dashboard_admin')]
    public function indexDashboardAction(): \Symfony\Component\HttpFoundation\Response
    {
        return $this->render('@ChillMain/Admin/indexDashboard.html.twig');
    }
}
